Skip to content
Fulfillment & ShippingMethods

List shipping method rates

Lists one shipping method's rates with zone search and active-state filtering.

Path Parameters

id*string

Unique identifier of the resource.

Query Parameters

limit?integer

Maximum number of results to return.

Formatint32
cursor?string

Cursor from the previous response. Omit it on the first page.

search?string

Free-text search.

sortBy?string

Field to sort by.

sortDirection?string

Sort direction: asc or desc.

Value in

  • "asc"
  • "desc"
isActive?boolean

Only active items.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.ecomiq.pe/api/v1/shipping/methods/7204558912004321806/rates" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>"
{  "data": [    {      "id": "7204558912004321806",      "storeId": "7204558912004327977",      "sellerId": "7204558912004323447",      "shippingMethodId": "7204558912004325207",      "type": "flat",      "price": 89,      "currency": "PEN",      "minOrderPrice": 89,      "maxOrderPrice": 89,      "postalCodes": [        "15074"      ],      "isActive": true,      "description": "Polo de algodón pima para uso diario.",      "discountPercentage": 10,      "zoneCode": "LIMA",      "minWeight": 0.3,      "maxWeight": 0.3,      "minValue": 1,      "maxValue": 1,      "basePrice": 89,      "pricePerKg": 89,      "pricePerUnit": 89,      "taxIncluded": false,      "surcharge": 1,      "metadata": {},      "createdOn": "2026-09-28T15:30:00Z",      "updatedOn": "2026-09-28T15:30:00Z",      "baseLanguage": "Envío estándar",      "translations": {        "key": {          "description": "Polo de algodón pima para uso diario."        }      }    }  ],  "hasNextPage": true,  "nextCursor": "eyJpZCI6IjcyMDQ1NTg5MTIwMDQzMjUzMDEifQ",  "totalCount": 24}